// Package model -----------------------------
// @file      : dto.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/2/27 11:54
// -------------------------------------------
package model

import "gorm.io/gorm"

func Pagination[T int | int32 | int64](page T, pageSize T) func(db *gorm.DB) *gorm.DB {
	return func(db *gorm.DB) *gorm.DB {
		return db.Limit(int(pageSize)).Offset(int((page - 1) * pageSize))
	}
}
